## org.eclipse.datatools.connectivity.drivers
Class DriverManager

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.DriverManager

public class DriverManager
extends java.lang.Object

This class provides a management-level interface for drivers.

Author:
  brianf

Method Summary
`void` `addDriverInstance(DriverInstance di)`
`void` `addDriverInstance(IPropertySet pset)` Adds a new driver instance to the Drivers file
`IPropertySet` `createDefaultInstance(java.lang.String id)` Creates a default instance of the driver.
`DriverInstance` `createNewDriverInstance(java.lang.String templateID, java.lang.String name, java.lang.String jarList)` Create a new DriverInstance based on the incoming templateID, driver name, and jar list.
`DriverInstance[]` `getAllDriverInstances()` Returns an array of all driver instances
`DriverInstance` `getDriverInstanceByID(java.lang.String id)` Retrieve a DriverInstance by Id
`DriverInstance` `getDriverInstanceByName(java.lang.String name)` Retrieve a DriverInstance by name.
`DriverInstance[]` `getDriverInstancesByCategory(java.lang.String categoryid)`
`DriverInstance[]` `getDriverInstancesByTemplate(java.lang.String templateid)`
`java.lang.String` `getFullJarList()` Return a comma-delimited list of all jars for all drivers.
`java.lang.String[]` `getFullJarListAsArray()` Return an array of all jars for all drivers.
`static DriverManager` `getInstance()` Retrieve an instance of the DriverManager
`DriverInstance[]` `getValidDriverInstances()` Returns an array of valid driver instances
`boolean` `removeDriverInstance(java.lang.String id)` Removes a driver instance based on the id.
`void` `resetDefaultInstances()` Creates any default driver template instances that need to be created.
`java.lang.String` `updatePluginJarList(TemplateDescriptor template)` Updates the jar list if it contains any [PLUGIN] tags, replacing them with the actual path referenced.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DriverManager getInstance()

  Retrieve an instance of the DriverManager

  Returns:
    DriverManager

### getDriverInstanceByID

    public DriverInstance getDriverInstanceByID(java.lang.String id)

  Retrieve a DriverInstance by Id

  Parameters:
    `id` - ID of the driver
  Returns:
    DriverInstance

### getDriverInstancesByCategory

    public DriverInstance[] getDriverInstancesByCategory(java.lang.String categoryid)

### getDriverInstancesByTemplate

    public DriverInstance[] getDriverInstancesByTemplate(java.lang.String templateid)

### getDriverInstanceByName

    public DriverInstance getDriverInstanceByName(java.lang.String name)

  Retrieve a DriverInstance by name.

  Parameters:
    `name` - Name of the driver
  Returns:
    Driver Instance

### getFullJarList

    public java.lang.String getFullJarList()

  Return a comma-delimited list of all jars for all drivers.

  Returns:
    String

### getFullJarListAsArray

    public java.lang.String[] getFullJarListAsArray()

  Return an array of all jars for all drivers.

  Returns:
    String[]

### getValidDriverInstances

    public DriverInstance[] getValidDriverInstances()

  Returns an array of valid driver instances

  Returns:
    DriverInstance[]

### getAllDriverInstances

    public DriverInstance[] getAllDriverInstances()

  Returns an array of all driver instances

  Returns:
    DriverInstance[]

### createNewDriverInstance

    public DriverInstance createNewDriverInstance(java.lang.String templateID,
                                                  java.lang.String name,
                                                  java.lang.String jarList)

  Create a new DriverInstance based on the incoming templateID, driver name, and jar list.

  Parameters:
    `templateID` - String ID of the template
    `name` - String name to give the driver
    `jarList` - String jar list to give the driver
  Returns:
    DriverInstance

### removeDriverInstance

    public boolean removeDriverInstance(java.lang.String id)

  Removes a driver instance based on the id.

  Parameters:
    `id` - String ID of the driver instance
  Returns:
    true on success, false otherwise

### addDriverInstance

    public void addDriverInstance(DriverInstance di)

### addDriverInstance

    public void addDriverInstance(IPropertySet pset)

  Adds a new driver instance to the Drivers file

  Parameters:
    `pset` - IPropertySet

### resetDefaultInstances

    public void resetDefaultInstances()

  Creates any default driver template instances that need to be created. This is when the plug-in is loaded.

### createDefaultInstance

    public IPropertySet createDefaultInstance(java.lang.String id)

  Creates a default instance of the driver.

  Parameters:
    `id` - String ID of driver
  Returns:
    IPropertySet

### updatePluginJarList

    public java.lang.String updatePluginJarList(TemplateDescriptor template)

  Updates the jar list if it contains any [PLUGIN] tags, replacing them with the actual path referenced. For instance, the install location in the file system for the given plugin.

  Parameters:
    `template` - TemplateDescriptor
  Returns:
    String Updated jar list

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.